rte_flow_item_icmp6_nd_na(3)

NAME
rte_flow_item_icmp6_nd_na

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint8_t type
uint8_t code
rte_be16_t checksum
rte_be32_t rso_reserved
struct rte_ipv6_addr target_addr

Detailed Description

RTE_FLOW_ITEM_TYPE_ICMP6_ND_NA

Matches an ICMPv6 neighbor discovery advertisement.

Definition at line 1517 of file rte_flow.h.

Field Documentation

  uint8_t type
ICMPv6 type, normally 136.

Definition at line 1518 of file rte_flow.h.

  uint8_t code
ICMPv6 code, normally 0.

Definition at line 1519 of file rte_flow.h.

  rte_be16_t checksum
ICMPv6 checksum.

Definition at line 1520 of file rte_flow.h.

  rte_be32_t rso_reserved
Route flag (1b), solicited flag (1b), override flag (1b), reserved (29b).

Definition at line 1525 of file rte_flow.h.

  struct rte_ipv6_addr target_addr
Target address.

Definition at line 1526 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.